
#include "config.h"

#if USE_SWITCH

#include <avr/io.h>
#include <stdlib.h>

#include "RFM02.h"
#include "SWITCH.h"

void switch_read()
{
  if (SWITCH_PIN & (1<<SWITCH_IN))          // 0?
    {                                       // nein, H, nicht bettigt
      buffer[SUB_OFFSET_1+0] = '0';
      buffer[SUB_OFFSET_1+1] = '0';         // 00 senden
    }
  else
    {                                       // ja, L, bettigt
      buffer[SUB_OFFSET_1+0] = '9';
      buffer[SUB_OFFSET_1+1] = '9';         // 99 senden
    }
}

//-----------------------------------------------------------------------------

void switch_init()
{
  SWITCH_DDR  &= ~(1<<SWITCH_IN);            // Pin als Eingang
  SWITCH_PORT |= (1<<SWITCH_IN);             // PullUp ein
                 
  PCMSK |= (1<<SWITCH_IN);							     // Pin Change IRQ

}

#endif
